# TorrentFlux 1.3 Database Script
# Only run this for a new Installation.
# If you are upgrading please read the INSTALL File

#
# Table structure for table `tf_links`
#

CREATE TABLE tf_links (
  lid int(10) NOT NULL auto_increment,
  url varchar(255) NOT NULL default '',
  PRIMARY KEY  (lid)
) TYPE=MyISAM;

#
# Dumping data for table `tf_links`
#

INSERT INTO tf_links VALUES (1, 'http://www.suprnova.org/');
INSERT INTO tf_links VALUES (2, 'http://www.n4p.com/');
INSERT INTO tf_links VALUES (3, 'http://isohunt.com');
INSERT INTO tf_links VALUES (4, 'http://varchars.com/rss/');
INSERT INTO tf_links VALUES (5, 'http://www.torrentflux.com');
# --------------------------------------------------------

#
# Table structure for table `tf_log`
#

CREATE TABLE tf_log (
  cid int(14) NOT NULL auto_increment,
  user_id varchar(32) NOT NULL default '',
  file varchar(200) NOT NULL default '',
  action varchar(200) NOT NULL default '',
  ip varchar(15) NOT NULL default '',
  ip_resolved varchar(200) NOT NULL default '',
  user_agent varchar(200) NOT NULL default '',
  time varchar(14) NOT NULL default '0',
  PRIMARY KEY  (cid)
) TYPE=MyISAM;


#
# Table structure for table `tf_messages`
#

CREATE TABLE tf_messages (
  mid int(10) NOT NULL auto_increment,
  to_user varchar(32) NOT NULL default '',
  from_user varchar(32) NOT NULL default '',
  message text,
  new int(1) NOT NULL default '1',
  ip varchar(15) NOT NULL default '',
  time varchar(14) NOT NULL default '0',
  force_read tinyint(1) default '0',
  PRIMARY KEY  (mid)
) TYPE=MyISAM;


#
# Table structure for table `tf_rss`
#

CREATE TABLE tf_rss (
  rid int(10) NOT NULL auto_increment,
  url varchar(255) NOT NULL default '',
  PRIMARY KEY  (rid)
) TYPE=MyISAM;

#
# Dumping data for table `tf_rss`
#

INSERT INTO tf_rss VALUES (1, 'http://www.torrents.co.uk/backend.php');
INSERT INTO tf_rss VALUES (2, 'http://66.199.180.26/~tvt/tvt.xml');
INSERT INTO tf_rss VALUES (3, 'http://varchars.com/rss/suprnova-tv.rss');
# --------------------------------------------------------

#
# Table structure for table `tf_users`
#

CREATE TABLE tf_users (
  uid int(10) NOT NULL auto_increment,
  user_id varchar(32) NOT NULL default '',
  password varchar(34) NOT NULL default '',
  hits int(10) NOT NULL default '0',
  last_visit varchar(14) NOT NULL default '0',
  time_created varchar(14) NOT NULL default '0',
  user_level tinyint(1) NOT NULL default '0',
  hide_offline tinyint(1) NOT NULL default '0',
  theme varchar(100) NOT NULL default 'mint',
  language_file varchar(60) default 'lang-english.php',
  PRIMARY KEY  (uid)
) TYPE=MyISAM;



    